Package org.silverpeas.mobile.shared.dto.reservations

## Class ReservationDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.reservations.ReservationDTO

- All Implemented Interfaces:
    `Serializable`

      public class ReservationDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReservationDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getEndDate()` |
    `String` | `getEvenement()` |
    `String` | `getId()` |
    `String` | `getReason()` |
    `List<ResourceDTO>` | `getResources()` |
    `String` | `getStartDate()` |
    `String` | `getStatus()` |
    `void` | `setEndDate​(String endDate)` |
    `void` | `setEvenement​(String evenement)` |
    `void` | `setId​(String id)` |
    `void` | `setReason​(String reason)` |
    `void` | `setResources​(List<ResourceDTO> resources)` |
    `void` | `setStartDate​(String startDate)` |
    `void` | `setStatus​(String status)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationDTO

          public ReservationDTO()

  - ### Method Detail

    - #### getEvenement

          public String getEvenement()

    - #### setEvenement

          public void setEvenement​(String evenement)

    - #### getStartDate

          public String getStartDate()

    - #### setStartDate

          public void setStartDate​(String startDate)

    - #### getEndDate

          public String getEndDate()

    - #### setEndDate

          public void setEndDate​(String endDate)

    - #### getReason

          public String getReason()

    - #### setReason

          public void setReason​(String reason)

    - #### getResources

          public List<ResourceDTO> getResources()

    - #### setResources

          public void setResources​(List<ResourceDTO> resources)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus​(String status)

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)